﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DockTest
{
	public class ViewModel : INotifyPropertyChanged
	{
		#region Properties
		private bool isBusy = false;
		public bool IsBusy
		{
			get { return this.isBusy; }
			set
			{
				if (this.isBusy != value)
				{
					this.isBusy = value;
					NotifyPropertyChanged("IsBusy");
					NotifyPropertyChanged("IsIdle");
				}
			}
		}

		public bool IsIdle
		{
			get { return !this.IsBusy; }
			set { this.IsBusy = !value; }
		}

		private string title = string.Empty;
		public string Title
		{
			get { return this.title; }
			set
			{
				if (this.title != value)
				{
					this.title = value;
					NotifyPropertyChanged("Title");
				}
			}
		}
		#endregion

		public ViewModel(string title)
		{
			this.Title = title;
		}

		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;
		private void NotifyPropertyChanged(string propertyName)
		{
			if (null != this.PropertyChanged)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}

		#endregion

	}
}
